Package org.eclipse.net4j.db.ddl.delta

## Enum IDBDelta.ChangeKind

- java.lang.Object
- - java.lang.Enum<IDBDelta.ChangeKind>
  - - org.eclipse.net4j.db.ddl.delta.IDBDelta.ChangeKind

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IDBDelta.ChangeKind>`
  Enclosing interface:
    IDBDelta

      public static enum IDBDelta.ChangeKind
      extends java.lang.Enum<IDBDelta.ChangeKind>

  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADD` |
    `CHANGE` |
    `REMOVE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IDBDelta.ChangeKind` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IDBDelta.ChangeKind[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD

          public static final IDBDelta.ChangeKind ADD

    - #### REMOVE

          public static final IDBDelta.ChangeKind REMOVE

    - #### CHANGE

          public static final IDBDelta.ChangeKind CHANGE

  - ### Method Detail

    - #### values

          public static IDBDelta.ChangeKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IDBDelta.ChangeKind c : IDBDelta.ChangeKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IDBDelta.ChangeKind valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null